GIT-TAG(1)

NAME
git-tag - Create a tag object signed with GPG

SYNOPSIS

git-tag [-a | -s | -u <key-id>] [-f | -d] [-m <msg>] <name> [<head>]
git-tag -l [<pattern>]

DESCRIPTION
Adds a tag reference in .git/refs/tags/

Unless -f is given, the tag must not yet exist in .git/refs/tags/ directory.

If one of -a, -s, or -u <key-id> is passed, the command creates a tag object, and requires the tag message. Unless -m <msg> is given, an editor is started for the user to type in the tag message.

Otherwise just the SHA1 object name of the commit object is written (i.e. a lightweight tag).

A GnuPG signed tag object will be created when -s or -u <key-id> is used. When -u <key-id> is not used, the committer identity for the current user is used to find the GnuPG key for signing.

-d <tag> deletes the tag.

-l <pattern> lists tags that match the given pattern (or all if no pattern is given).

OPTIONS

-a  Make an unsigned, annotated tag object

-s  Make a GPG-signed tag, using the default e-mail address's key

-u <key-id>
    Make a GPG-signed tag, using the given key

-f  Replace an existing tag with the given name (instead of failing)

-d  Delete an existing tag with the given name

-l <pattern>
    List tags that match the given pattern (or all if no pattern is given).

-m <msg>
    Use the given tag message (instead of prompting)

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>, Junio C Hamano <junkio@cox.net> and Chris Wright <chrisw@osdl.org>.

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>.

GIT
Part of the git(7) suite